-- WebStats v 0.3.0.2

local iTime=5 --    

local sHostDB="127.0.0.1"
local sNameDB="hub"
local sUserDB="user_hub"
local sPassDB="userhub"
local sPrefixTable="ws_"

require "luasql.mysql"
local env=assert(luasql.mysql())
local conn=assert(env:connect(sNameDB,sUserDB,sPassDB,sHostDB,_))

_G.string.dbformat = function(self, ...)
  local t = {...}
  for k, v in _G.ipairs(t) do
    t[k] = _G.tostring(v):gsub("'", "\\'")
  end
  return self:format(_G.unpack(t))
end

function OnStartup()
	assert(conn:execute("SET sql_mode=''"))
	assert(conn:execute(
("CREATE TABLE IF NOT EXISTS %susers ("..
 "ip VARCHAR(16) NOT NULL,"..
 "nick VARCHAR(32) NOT NULL,"..
 "description VARCHAR(128) NOT NULL,"..
 "profile TINYINT NOT NULL,"..
 "email VARCHAR(30) NOT NULL,"..
 "login_time BIGINT UNSIGNED NOT NULL,"..
 "disconnect_time BIGINT UNSIGNED NOT NULL,"..
 "online_time BIGINT UNSIGNED NOT NULL, "..
 "share_size BIGINT UNSIGNED NOT NULL,"..
 "hubs TINYINT UNSIGNED NOT NULL,"..
 "slots TINYINT UNSIGNED NOT NULL,"..
 "client VARCHAR(15) NOT NULL,"..
 "client_version VARCHAR(15) NOT NULL,"..
 "tag VARCHAR(32) NOT NULL,"..
 "UNIQUE (nick))"):format(sPrefixTable)))
	assert(conn:execute(
("CREATE TABLE IF NOT EXISTS `%shubs` ("..
  "`id` int(16) unsigned NOT NULL AUTO_INCREMENT,"..
  "`addr` text NOT NULL,"..
  "`port` int(6) unsigned NOT NULL DEFAULT '411',"..
  "`users` int(16) unsigned NOT NULL,"..
  "`share` bigint(20) unsigned NOT NULL,"..
  "`last_online` int(10) unsigned NOT NULL,"..
  "`name` text NOT NULL,"..
  "`online` int(1) unsigned NOT NULL,"..
  "`type` text NOT NULL,"..
  "PRIMARY KEY (`id`))"
):format(sPrefixTable)))
 
 assert(conn:execute(
("CREATE TABLE IF NOT EXISTS %sprofiles ("..
 "profile_number TINYINT NOT NULL,"..
 "profile_name VARCHAR(32) NOT NULL, "..
 "UNIQUE (profile_number))"
 ):format(sPrefixTable)))
	local tProfiles = ProfMan.GetProfiles()
	local sQSP = ("INSERT INTO %sprofiles (profile_number, profile_name) VALUES "):format(sPrefixTable)
	for i = 1, table.getn(tProfiles) do
		sQSP = sQSP.."("..tostring(tProfiles[i]["iProfileNumber"])..", '"..tProfiles[i]["sProfileName"].."'), "
	end
	sQSP = sQSP.."(-1, 'UnReg') ON DUPLICATE KEY UPDATE profile_name = VALUES(profile_name)"
	assert(conn:execute(sQSP))

 	assert(conn:execute(
("CREATE TABLE IF NOT EXISTS %shub ("..
 "version VARCHAR(16) NOT NULL,"..
 "topic VARCHAR(128) NOT NULL,"..
 "uptime BIGINT UNSIGNED NOT NULL,"..
 "max_user INT UNSIGNED NOT NULL,"..
 "user INT UNSIGNED NOT NULL,"..
 "ops INT UNSIGNED NOT NULL,"..
 "max_share BIGINT UNSIGNED NOT NULL,"..
 "share BIGINT UNSIGNED NOT NULL)"
 ):format(sPrefixTable)))	
 	local cur=conn:execute(("SELECT * FROM %shub"):format(sPrefixTable))
	local row=cur:fetch()
	if not row then
		assert(conn:execute(("INSERT %shub SET "..
							 "uptime = 0,"..
							 "max_user = 0,"..
							 "user = 0,"..
							 "ops = 0,"..
							 "max_share = 0,"..
							 "share = 0"
							 ):format(sPrefixTable)))
	end
	cur:close()
 	TmrMan.AddTimer(iTime*60000,"UpdateInfo")
end

function UserConnected(tUser)
	Core.GetUserAllData(tUser)
	local sEmail = tUser.sEmail
	if not sEmail then 
		sEmail = "NONE"
	end
	local sDescription = tUser.sDescription
	if not sDescription then 
		sDescription = ""
	end
	local sClientVersion = tUser.sClientVersion
	if not sClientVersion then 
		sClientVersion = ""
	end
	local sTag = tUser.sTag
	if not sTag then 
		sTag = ""
	end	
	local iShareSize = tUser.iShareSize / (1024 * 1024)
	assert(conn:execute(
("INSERT INTO %susers ("..
 "ip, `nick`, `description`, `profile`, `email`, login_time, share_size, hubs, slots, `client`, `client_version`, `tag`"..
 ") VALUES ('%s', '%s', '%s', %d, '%s', %d, %d, %d, %d, '%s', '%s', '%s')"..
 "ON DUPLICATE KEY UPDATE "..
 "ip = VALUES(ip), profile = VALUES(profile), email = VALUES(email), login_time = VALUES(login_time), "..
 "share_size = VALUES(share_size), hubs = VALUES(hubs), slots = VALUES(slots), client = VALUES(client), tag = VALUES(tag)"
 ):dbformat(sPrefixTable, tUser.sIP, tUser.sNick, sDescription, tUser.iProfile, sEmail, tUser.iLoginTime, iShareSize, tUser.iHubs, tUser.iSlots, tUser.sClient, sClientVersion, sTag)))

end
RegConnected = UserConnected
OpConnected = UserConnected

function UserDisconnected(tUser)
--	Core.GetUserAllData(tUser)
	assert(conn:execute(
("UPDATE %susers SET disconnect_time = %d, online_time = online_time + (disconnect_time - login_time) WHERE nick = '%s'"	
):dbformat(sPrefixTable, os.time() ,tUser.sNick)))
end
RegDisconnected = UserDisconnected
OpDisconnected = UserDisconnected

function UpdateInfo()

	local sVersion = Core.Version
	local sTopic = SetMan.GetString(10)
	local iMaxUser
	local iMaxShare
	local iUser = Core.GetUsersCount()
	local iShare = Core.GetCurrentSharedSize()
	local iUptime = Core.GetUpTime()
	local iOps=table.getn(Core.GetOnlineOps())
	
	local cur=conn:execute(("SELECT max_user,max_share FROM %shub"):format(sPrefixTable))
	local row=cur:fetch({},"a")

	iMaxUser = tonumber(row.max_user)
	iMaxShare = tonumber(row.max_share)
	
	iShare = iShare / (1024 * 1024)
	
	if iMaxUser < iUser then
		iMaxUser = iUser
	end

	if iMaxShare < iShare then
		iMaxShare = iShare
	end
	
	if not sTopic then
		sTopic = "NO-TOPIC"
	end
		
	assert(conn:execute(("UPDATE %shub SET "..
"version =  '%s',"..
"topic =  '%s',"..
"uptime =  %d,"..
"max_user =  %d,"..
"user =  %d,"..
"ops =  %d,"..
"max_share = %d, "..
"share =  %d"
):dbformat(sPrefixTable,sVersion,sTopic,iUptime,iMaxUser,iUser,iOps,iMaxShare,iShare)))
	cur:close()
end
function OnExit()
	conn:close()
	env:close()
end  