<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output
	method="xml"
	indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:template match="/">
		<table>
			<tr>
				<th colspan="6">
					<xsl:value-of select="/root/lang/hubs/title_hubs" />
				</th>
			</tr>
			<tr>
				<td>
					<a href="?action=hubs&amp;sort_o=0">
						<xsl:value-of select="/root/lang/hubs/name" />
					</a>
				</td>
				<td>
					<a href="?action=hubs&amp;sort_o=1">
						<xsl:value-of select="/root/lang/hubs/users" />
					</a>
				</td>
				<td>
					<a href="?action=hubs&amp;sort_o=2">
						<xsl:value-of select="/root/lang/hubs/share" />
					</a>
				</td>
				<td>
					<a href="?action=hubs&amp;sort_o=3">
						<xsl:value-of select="/root/lang/hubs/addr" />
					</a>
				</td>
				<td>
					<a href="?action=hubs&amp;sort_o=4">
						<xsl:value-of select="/root/lang/hubs/type" />
					</a>
				</td>
				<td>
					<xsl:value-of select="/root/lang/hubs/check_time" />
				</td>
			</tr>
			<xsl:for-each select="/root/content/hubs/hub">
				<xsl:choose>
					<xsl:when test="@down=1">
						<tr>
							<td>
								<xsl:value-of select="name" />
							</td>
							<td colspan="4" id="soad">
								<xsl:value-of select="/root/lang/hubs/no_online" />
								<xsl:value-of select="last_online" />
								<xsl:value-of select="/root/lang/hubs/last_back" />
							</td>
						</tr>
					</xsl:when>
					<xsl:otherwise>
						<tr>
							<td>
								<xsl:value-of select="name" />
							</td>
							<td>
								<xsl:value-of select="users" />
							</td>
							<td>
								<xsl:value-of select="share" />
							</td>
							<td>
								<a>
									<xsl:attribute name="href">
										<xsl:text>dchub://</xsl:text>
										<xsl:value-of select="addr"/>
										<xsl:text>:</xsl:text>
										<xsl:value-of select="port"/>
									</xsl:attribute>
									<xsl:value-of select="addr" />
									<xsl:if test="port!='411'">
										<xsl:text>:</xsl:text>
										<xsl:value-of select="port"/>
									</xsl:if>
								</a>
							</td>
							<td>
								<xsl:value-of select="type" />
							</td>
							<td>
								<xsl:value-of select="last_online" />
								<xsl:value-of select="/root/lang/hubs/last_back" />
							</td>
						</tr>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<tr>
				<td colspan="6">
					<div id="button_add_hub" onclick="$('#form_add_hub').slideToggle()">
						<xsl:value-of select="/root/lang/hubs/add_hub" />
					</div>
				</td>
			</tr>
			<tr>
				<td colspan="6">
					<div id="form_add_hub" align="center">
						<form action="?action=hubs" method="POST">
							<table>
								<tr>
									<td>
										<label for="name">
											<xsl:value-of select="/root/lang/hubs/name" />
										</label>
									</td>
									<td>
										<input type="text" id="name" name="name" />
									</td>
								</tr>
								<tr>
									<td>
										<label for="addr">
											<xsl:value-of select="/root/lang/hubs/addr" />
										</label>
									</td>
									<td>
										<input type="text" id="addr" name="addr" />
									</td>
								</tr>
								<tr>
									<td>
										<label for="port">
											<xsl:value-of select="/root/lang/hubs/port" />
										</label>
									</td>
									<td>
										<input type="text" id="port" name="port" />
									</td>
								</tr>
								<tr>
									<td colspan="2">
										<xsl:element name="input">
											<xsl:attribute name="type">
												<xsl:text>submit</xsl:text>
											</xsl:attribute>
											<xsl:attribute name="value">
												<xsl:value-of select="/root/lang/hubs/add_hub" />
											</xsl:attribute>
										</xsl:element>
									</td>
								</tr>
							</table>
						</form>
					</div>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>	