<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output
	method="xml"
	indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:template match="/">
		<form action="?action=users" method="POST">
			<table>
				<tr>
					<th colspan="2">
						<xsl:value-of select="/root/lang/search/title_search" />
					</th>
				</tr>
				<tr>
					<td>
						<label for="nick">
							<xsl:value-of select="/root/lang/search/nick" />
						</label>
					</td>
					<td>
						<xsl:element name="input">
							<xsl:attribute name="type">
								<xsl:text>text</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="id">
								<xsl:text>nick</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="name">
								<xsl:text>nick</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:value-of select="/root/content/search/nick" />
							</xsl:attribute>
						</xsl:element>
					</td>
				</tr>
				<tr>
					<td>
						<label for="ip">
							<xsl:value-of select="/root/lang/search/ip" />
						</label>
					</td>
					<td>
						<xsl:element name="input">
							<xsl:attribute name="type">
								<xsl:text>text</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="id">
								<xsl:text>ip</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="name">
								<xsl:text>ip</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:value-of select="/root/content/search/ip" />
							</xsl:attribute>
						</xsl:element>
					</td>
				</tr>
				<tr>
					<td>
						<label for="profile">
							<xsl:value-of select="/root/lang/search/profile" />
						</label>
					</td>
					<td>
						<select name="profile" id="profile">
							<option value="">
							</option>
							<xsl:for-each select="/root/content/search/profiles/profile">
								<xsl:choose>
									<xsl:when test="@current=1">
										<option>
											<xsl:attribute name="value">
												<xsl:value-of select="profile_number"/>
											</xsl:attribute>
											<xsl:attribute name="selected">
												<xsl:text>selected</xsl:text>
											</xsl:attribute>
											<xsl:value-of select="profile_name" />
										</option>
									</xsl:when>
									<xsl:otherwise>
										<option>
											<xsl:attribute name="value">
												<xsl:value-of select="profile_number"/>
											</xsl:attribute>
											<xsl:value-of select="profile_name" />
										</option>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</select>
					</td>
				</tr>
				<tr>
					<td>
						<label for="client">
							<xsl:value-of select="/root/lang/search/client" />
						</label>
					</td>
					<td>
						<select name="client" id="client">
							<option value="">
							</option>
							<xsl:for-each select="/root/content/search/clients/client">
								<xsl:choose>
									<xsl:when test="@current=1">
										<option>
											<xsl:attribute name="value">
												<xsl:value-of select="."/>
											</xsl:attribute>
											<xsl:attribute name="selected">
												<xsl:text>selected</xsl:text>
											</xsl:attribute>
											<xsl:value-of select="." />
										</option>
									</xsl:when>
									<xsl:otherwise>
										<option>
											<xsl:attribute name="value">
												<xsl:value-of select="."/>
											</xsl:attribute>
											<xsl:value-of select="." />
										</option>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</select>
					</td>
				</tr>
				<tr>
					<td>
						<label for="online">
							<xsl:value-of select="/root/lang/search/online" />
						</label>					
					</td>
					<td>
						<xsl:element name="input">
							<xsl:attribute name="type">
								<xsl:text>checkbox</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="id">
								<xsl:text>online</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="name">
								<xsl:text>online</xsl:text>
							</xsl:attribute>
						</xsl:element>				
					</td>
				</tr>
				<tr>
					<td colspan="2" align="center">
						<xsl:element name="input">
							<xsl:attribute name="type">
								<xsl:text>submit</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:value-of select="/root/lang/search/submit"/>
							</xsl:attribute>
						</xsl:element>						
					</td>
				</tr>
			</table>
		</form>
	</xsl:template>
</xsl:stylesheet>