<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:php="http://php.net/xsl"
				version="1.0">
	<xsl:output
	method="xml"
	indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:template match="/">
		<table>
			<tr>
				<th colspan="2">
					<xsl:value-of select="/root/lang/stat/title_stat" />
				</th>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/stat/version" />
				</td>
				<td>
					<xsl:value-of select="/root/content/stat_table/version" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/stat/topic" />
				</td>
				<td>
					<xsl:value-of select="/root/content/stat_table/topic" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/stat/uptime" />
				</td>
				<td>
					<xsl:value-of select="/root/content/stat_table/uptime" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/stat/max_user" />
				</td>
				<td>
					<xsl:value-of select="/root/content/stat_table/max_user" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/stat/user" />
				</td>
				<td>
					<xsl:value-of select="/root/content/stat_table/user" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/stat/ops" />
				</td>
				<td>
					<xsl:value-of select="/root/content/stat_table/ops" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/stat/max_share" />
				</td>
				<td>
					<xsl:value-of select="/root/content/stat_table/max_share" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/stat/share" />
				</td>
				<td>
					<xsl:value-of select="/root/content/stat_table/share" />
				</td>
			</tr>
			<tr>
				<th colspan="2">
				</th>
			</tr>
			<tr>
				<td>
					<table>
						<tr>
							<th colspan="2">
								<xsl:value-of select="/root/lang/stat/title_top_share" />
							</th>
						</tr>
						<tr>
							<th>
								<xsl:value-of select="/root/lang/stat/top_nick" />
							</th>
							<th>
								<xsl:value-of select="/root/lang/stat/top_share" />
							</th>
						</tr>
						<xsl:for-each select="/root/content/top_share/user">
							<tr>
								<td>
									<a>
										<xsl:attribute name="href">
											<xsl:text>?action=user&amp;nick=</xsl:text>
											<xsl:value-of select="php:function('urlencode',string(url))" />
										</xsl:attribute>
										<xsl:value-of select="nick" />
									</a>
								</td>
								<td>
									<xsl:value-of select="share" />
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</td>
				<td>
					<table>
						<tr>
							<th colspan="2">
								<xsl:value-of select="/root/lang/stat/title_top_online" />
							</th>
						</tr>
						<tr>
							<th>
								<xsl:value-of select="/root/lang/stat/top_nick" />
							</th>
							<th>
								<xsl:value-of select="/root/lang/stat/top_online" />
							</th>
						</tr>
						<xsl:for-each select="/root/content/top_online/user">
							<tr>
								<td>
									<a>
										<xsl:attribute name="href">
											<xsl:text>?action=user&amp;nick=</xsl:text>
											<xsl:value-of select="nick" />
										</xsl:attribute>
										<xsl:value-of select="nick" />
									</a>
								</td>
								<td>
									<xsl:value-of select="online_time" />
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>	