<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output
	method="xml"
	indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:template match="/">
		<table id="userbar">
			<tr>
				<th colspan="8" id="title">
					<xsl:attribute name="class">
						<xsl:value-of select="/root/content/userbar/site_name"/>
					</xsl:attribute>
					<xsl:value-of select="/root/lang/userbar/title_userbar" />
				</th>
			</tr>
			<tr>
				<td colspan="3" align="center">
					<xsl:value-of select="/root/lang/userbar/text" />
				</td>
				<td>
					<xsl:value-of select="/root/lang/userbar/font" />
				</td>
				<td>
					<xsl:value-of select="/root/lang/userbar/color" />
				</td>
				<td>
					<xsl:value-of select="/root/lang/userbar/size" />
				</td>
				<td>
					<xsl:value-of select="/root/lang/userbar/x" />
				</td>
				<td>
					<xsl:value-of select="/root/lang/userbar/y" />
				</td>
			</tr>
			<tr>
				<th colspan="8">
					<xsl:value-of select="/root/lang/userbar/first_inscription" />
				</th>
			</tr>
			<tr>
				<td colspan="3">
					<input type="text" id="first_legend_text" />
				</td>
				<td>
					<select id="first_legend_font" class="legend">
						<xsl:for-each select="/root/content/userbar/fonts/font">
							<option>
								<xsl:attribute name="value">
									<xsl:value-of select="." />
								</xsl:attribute>
								<xsl:value-of select="." />
							</option>
						</xsl:for-each>
					</select>
				</td>
				<td>
					<input type="text" id="first_legend_color" value="ffffff" />
				</td>
				<td>
					<input type="text" id="first_legend_size" value="12" />
				</td>
				<td>
					<input type="text" id="first_legend_x" value="10" />
				</td>
				<td>
					<input type="text" id="first_legend_y" value="15" />
				</td>
			</tr>
			<tr>
				<th colspan="8">
					<xsl:value-of select="/root/lang/userbar/second_inscription" />
				</th>
			</tr>
			<tr>
				<td colspan="3">
					<input type="text" id="second_legend_text" />
				</td>
				<td>
					<select id="second_legend_font" class="legend">
						<xsl:for-each select="/root/content/userbar/fonts/font">
							<option>
								<xsl:attribute name="value">
									<xsl:value-of select="." />
								</xsl:attribute>
								<xsl:value-of select="." />
							</option>
						</xsl:for-each>
					</select>
				</td>
				<td>
					<input type="text" id="second_legend_color" value="ffffff" />
				</td>
				<td>
					<input type="text" id="second_legend_size" value="12" />
				</td>
				<td>
					<input type="text" id="second_legend_x" value="220" />
				</td>
				<td>
					<input type="text" id="second_legend_y" value="15" />
				</td>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="/root/lang/userbar/background" />
				</td>
				<td>
					<select id="bg">
						<xsl:for-each select="/root/content/userbar/backgrounds/background">
							<option>
								<xsl:attribute name="value">
									<xsl:value-of select="." />
								</xsl:attribute>
								<xsl:value-of select="." />
							</option>
						</xsl:for-each>
					</select>
				</td>
				<td>
					<xsl:value-of select="/root/lang/userbar/anim" />
				</td>
				<td>
					<select id="anim">
						<xsl:for-each select="/root/content/userbar/animations/animation">
							<option>
								<xsl:attribute name="value">
									<xsl:value-of select="id" />
								</xsl:attribute>
								<xsl:value-of select="name" />
							</option>
						</xsl:for-each>
					</select>
				</td>
				<td>
					<xsl:value-of select="/root/lang/userbar/anim_speed" />
				</td>
				<td>
					<input type="text" id="anim_speed" value="15" />
				</td>
				<td>
					<xsl:value-of select="/root/lang/userbar/hub" />
				</td>
				<td>
					<select id="hub">
						<xsl:for-each select="/root/content/userbar/hubs/hub">
							<option>
								<xsl:attribute name="value">
									<xsl:value-of select="id" />
								</xsl:attribute>
								<xsl:value-of select="name" />
							</option>
						</xsl:for-each>
					</select>
				</td>
			</tr>
			<tr>
				<td colspan="4" align="center">
					<img src="" id="userbar_img" />
				</td>
				<td>
					<input type="text" id="userbar_src" />
				</td>
				<td colspan="3" align="center">
					<xsl:value-of select="/root/lang/userbar/explanatory" />
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>