<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:php="http://php.net/xsl"
				version="1.0">
	<xsl:output
	method="xml"
	indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:template match="/">
		<table>
			<tr>
				<th colspan="9">
					<xsl:value-of select="/root/content/title" />
				</th>
			</tr>
			<tr>
				<th>
					<a href="?action=users&amp;sort_o=0">
						<xsl:value-of select="/root/lang/users/nick" />
					</a>
				</th>
				<th>
					<a href="?action=users&amp;sort_o=1">
						<xsl:value-of select="/root/lang/users/ip" />
					</a>
				</th>
				<th>
					<a href="?action=users&amp;sort_o=2">
						<xsl:value-of select="/root/lang/users/profile" />
					</a>
				</th>
				<th>
					<a href="?action=users&amp;sort_o=3">
						<xsl:value-of select="/root/lang/users/share_size" />
					</a>
				</th>
				<th>
					<a href="?action=users&amp;online">
						<xsl:value-of select="/root/lang/users/online" />
					</a>	
				</th>		
				<th>
					<a href="?action=users&amp;sort_o=4">
						<xsl:value-of select="/root/lang/users/online_time" />
					</a>
				</th>
				<th>
					<a href="?action=users&amp;sort_o=5">
						<xsl:value-of select="/root/lang/users/client" />
					</a>
				</th>
				<th>
					<a href="?action=users&amp;sort_o=6">
						<xsl:value-of select="/root/lang/users/hubs" />
					</a>
				</th>
				<th>
					<a href="?action=users&amp;sort_o=7">
						<xsl:value-of select="/root/lang/users/slots" />
					</a>
				</th>
			</tr>
			<xsl:for-each select="/root/content/users/user">
				<tr>
					<td>
						<a>
							<xsl:attribute name="href">
								<xsl:text>?action=user&amp;nick=</xsl:text>
								<xsl:value-of select="php:function('urlencode',string(url))" />
							</xsl:attribute>
							<xsl:value-of select="nick" />
						</a>
					</td>
					<td>
						<a>
							<xsl:attribute name="href">
								<xsl:text>?action=search&amp;ip=</xsl:text>
								<xsl:value-of select="ip" />
							</xsl:attribute>
							<xsl:value-of select="ip" />
						</a>
					</td>
					<td>
						<a>
							<xsl:attribute name="href">
								<xsl:text>?action=search&amp;profile=</xsl:text>
								<xsl:value-of select="profile" />
							</xsl:attribute>
							<xsl:value-of select="profile" />
						</a>
					</td>
					<td>
						<xsl:value-of select="share_size" />
					</td>
					<td align="center">
						<xsl:choose>
							<xsl:when test="@online=1">
								<xsl:element name="img">
									<xsl:attribute name="src">
										<xsl:text>templates/img/online.png</xsl:text>
									</xsl:attribute>
								</xsl:element>		
							</xsl:when>
							<xsl:otherwise>
								<xsl:element name="img">
									<xsl:attribute name="src">
										<xsl:text>templates/img/offline.png</xsl:text>
									</xsl:attribute>
								</xsl:element>		
							</xsl:otherwise>
						</xsl:choose>				
					</td>
					<td>
						<xsl:value-of select="online_time" />
					</td>
					<td>
						<a>
							<xsl:attribute name="href">
								<xsl:text>?action=search&amp;client=</xsl:text>
								<xsl:value-of select="php:function('urlencode',string(client))" />
							</xsl:attribute>
							<xsl:value-of select="client" />
						</a>
					</td>
					<td>
						<xsl:value-of select="hubs" />
					</td>
					<td>
						<xsl:value-of select="slots" />
					</td>
				</tr>
			</xsl:for-each>
			<tr>
				<td colspan="9" align="center">
					<xsl:for-each select="/root/content/pages/page">
						<xsl:choose>
							<xsl:when test="@current=1">
								<b>
									<xsl:value-of select="data" />
								</b>
							</xsl:when>
							<xsl:otherwise>
								<a>
									<xsl:attribute name="href">
										<xsl:text>?action=users&amp;page=</xsl:text>
										<xsl:value-of select="href"/>
									</xsl:attribute>
									<xsl:value-of select="data" />
								</a>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>				
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>